*** /Users/chet/src/bash/bash-5.2-patched/y.tab.c	2022-12-13 12:09:02.000000000 -0500
--- y.tab.c	2023-11-08 14:38:01.000000000 -0500
***************
*** 2759,2896 ****
  				  if (word_top > 0) word_top--;
  				}
! #line 2762 "y.tab.c"
      break;
  
!   case 89: /* select_command: SELECT WORD newline_list DO compound_list DONE  */
! #line 891 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2771 "y.tab.c"
      break;
  
!   case 90: /* select_command: SELECT WORD newline_list '{' compound_list '}'  */
! #line 896 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2780 "y.tab.c"
      break;
  
!   case 91: /* select_command: SELECT WORD ';' newline_list DO compound_list DONE  */
! #line 901 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2789 "y.tab.c"
      break;
  
!   case 92: /* select_command: SELECT WORD ';' newline_list '{' compound_list '}'  */
! #line 906 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2798 "y.tab.c"
      break;
  
!   case 93: /* select_command: SELECT WORD newline_list IN word_list list_terminator newline_list DO compound_list DONE  */
! #line 911 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2807 "y.tab.c"
      break;
  
!   case 94: /* select_command: SELECT WORD newline_list IN word_list list_terminator newline_list '{' compound_list '}'  */
! #line 916 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2816 "y.tab.c"
      break;
  
!   case 95: /* select_command: SELECT WORD newline_list IN list_terminator newline_list DO compound_list DONE  */
! #line 921 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2825 "y.tab.c"
      break;
  
!   case 96: /* select_command: SELECT WORD newline_list IN list_terminator newline_list '{' compound_list '}'  */
! #line 926 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2834 "y.tab.c"
      break;
  
!   case 97: /* case_command: CASE WORD newline_list IN newline_list ESAC  */
! #line 933 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_case_command ((yyvsp[-4].word), (PATTERN_LIST *)NULL, word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2843 "y.tab.c"
      break;
  
!   case 98: /* case_command: CASE WORD newline_list IN case_clause_sequence newline_list ESAC  */
! #line 938 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_case_command ((yyvsp[-5].word), (yyvsp[-2].pattern), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2852 "y.tab.c"
      break;
  
!   case 99: /* case_command: CASE WORD newline_list IN case_clause ESAC  */
! #line 943 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_case_command ((yyvsp[-4].word), (yyvsp[-1].pattern), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2861 "y.tab.c"
      break;
  
!   case 100: /* function_def: WORD '(' ')' newline_list function_body  */
! #line 950 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-4].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2867 "y.tab.c"
      break;
  
!   case 101: /* function_def: FUNCTION WORD '(' ')' newline_list function_body  */
! #line 952 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-4].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2873 "y.tab.c"
      break;
  
!   case 102: /* function_def: FUNCTION WORD function_body  */
! #line 954 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-1].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2879 "y.tab.c"
      break;
  
!   case 103: /* function_def: FUNCTION WORD '\n' newline_list function_body  */
! #line 956 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-3].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2885 "y.tab.c"
      break;
  
!   case 104: /* function_body: shell_command  */
! #line 960 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2891 "y.tab.c"
      break;
  
!   case 105: /* function_body: shell_command redirection_list  */
! #line 962 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
--- 2778,2915 ----
  				  if (word_top > 0) word_top--;
  				}
! #line 2781 "y.tab.c"
      break;
  
!   case 90: /* select_command: SELECT WORD newline_list DO compound_list DONE  */
! #line 906 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2790 "y.tab.c"
      break;
  
!   case 91: /* select_command: SELECT WORD newline_list '{' compound_list '}'  */
! #line 911 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-4].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2799 "y.tab.c"
      break;
  
!   case 92: /* select_command: SELECT WORD ';' newline_list DO compound_list DONE  */
! #line 916 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2808 "y.tab.c"
      break;
  
!   case 93: /* select_command: SELECT WORD ';' newline_list '{' compound_list '}'  */
! #line 921 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-5].word), add_string_to_list ("\"$@\"", (WORD_LIST *)NULL), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2817 "y.tab.c"
      break;
  
!   case 94: /* select_command: SELECT WORD newline_list IN word_list list_terminator newline_list DO compound_list DONE  */
! #line 926 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2826 "y.tab.c"
      break;
  
!   case 95: /* select_command: SELECT WORD newline_list IN word_list list_terminator newline_list '{' compound_list '}'  */
! #line 931 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-8].word), REVERSE_LIST ((yyvsp[-5].word_list), WORD_LIST *), (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2835 "y.tab.c"
      break;
  
!   case 96: /* select_command: SELECT WORD newline_list IN list_terminator newline_list DO compound_list DONE  */
! #line 936 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2844 "y.tab.c"
      break;
  
!   case 97: /* select_command: SELECT WORD newline_list IN list_terminator newline_list '{' compound_list '}'  */
! #line 941 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_select_command ((yyvsp[-7].word), (WORD_LIST *)NULL, (yyvsp[-1].command), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2853 "y.tab.c"
      break;
  
!   case 98: /* case_command: CASE WORD newline_list IN newline_list ESAC  */
! #line 948 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_case_command ((yyvsp[-4].word), (PATTERN_LIST *)NULL, word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2862 "y.tab.c"
      break;
  
!   case 99: /* case_command: CASE WORD newline_list IN case_clause_sequence newline_list ESAC  */
! #line 953 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_case_command ((yyvsp[-5].word), (yyvsp[-2].pattern), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2871 "y.tab.c"
      break;
  
!   case 100: /* case_command: CASE WORD newline_list IN case_clause ESAC  */
! #line 958 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_case_command ((yyvsp[-4].word), (yyvsp[-1].pattern), word_lineno[word_top]);
  			  if (word_top > 0) word_top--;
  			}
! #line 2880 "y.tab.c"
      break;
  
!   case 101: /* function_def: WORD '(' ')' newline_list function_body  */
! #line 965 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-4].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2886 "y.tab.c"
      break;
  
!   case 102: /* function_def: FUNCTION WORD '(' ')' newline_list function_body  */
! #line 967 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-4].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2892 "y.tab.c"
      break;
  
!   case 103: /* function_def: FUNCTION WORD function_body  */
! #line 969 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-1].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2898 "y.tab.c"
      break;
  
!   case 104: /* function_def: FUNCTION WORD '\n' newline_list function_body  */
! #line 971 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_function_def ((yyvsp[-3].word), (yyvsp[0].command), function_dstart, function_bstart); }
! #line 2904 "y.tab.c"
      break;
  
!   case 105: /* function_body: shell_command  */
! #line 975 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[0].command); }
! #line 2910 "y.tab.c"
      break;
  
!   case 106: /* function_body: shell_command redirection_list  */
! #line 977 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
***************
*** 2921,2963 ****
  			  (yyval.command) = (yyvsp[-1].command);
  			}
! #line 2924 "y.tab.c"
      break;
  
!   case 106: /* subshell: '(' compound_list ')'  */
! #line 993 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_subshell_command ((yyvsp[-1].command));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL;
  			}
! #line 2933 "y.tab.c"
      break;
  
!   case 107: /* comsub: DOLPAREN compound_list ')'  */
! #line 1000 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[-1].command);
  			}
! #line 2941 "y.tab.c"
      break;
  
!   case 108: /* comsub: DOLPAREN newline_list ')'  */
! #line 1004 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (COMMAND *)NULL;
  			}
! #line 2949 "y.tab.c"
      break;
  
!   case 109: /* coproc: COPROC shell_command  */
! #line 1010 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_coproc_command ("COPROC", (yyvsp[0].command));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 2958 "y.tab.c"
      break;
  
!   case 110: /* coproc: COPROC shell_command redirection_list  */
! #line 1015 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
--- 2940,2982 ----
  			  (yyval.command) = (yyvsp[-1].command);
  			}
! #line 2943 "y.tab.c"
      break;
  
!   case 107: /* subshell: '(' compound_list ')'  */
! #line 1008 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_subshell_command ((yyvsp[-1].command));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL;
  			}
! #line 2952 "y.tab.c"
      break;
  
!   case 108: /* comsub: DOLPAREN compound_list ')'  */
! #line 1015 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[-1].command);
  			}
! #line 2960 "y.tab.c"
      break;
  
!   case 109: /* comsub: DOLPAREN newline_list ')'  */
! #line 1019 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (COMMAND *)NULL;
  			}
! #line 2968 "y.tab.c"
      break;
  
!   case 110: /* coproc: COPROC shell_command  */
! #line 1025 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_coproc_command ("COPROC", (yyvsp[0].command));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 2977 "y.tab.c"
      break;
  
!   case 111: /* coproc: COPROC shell_command redirection_list  */
! #line 1030 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
***************
*** 2976,2993 ****
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 2979 "y.tab.c"
      break;
  
!   case 111: /* coproc: COPROC WORD shell_command  */
! #line 1032 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_coproc_command ((yyvsp[-1].word)->word, (yyvsp[0].command));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 2988 "y.tab.c"
      break;
  
!   case 112: /* coproc: COPROC WORD shell_command redirection_list  */
! #line 1037 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
--- 2995,3012 ----
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 2998 "y.tab.c"
      break;
  
!   case 112: /* coproc: COPROC WORD shell_command  */
! #line 1047 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_coproc_command ((yyvsp[-1].word)->word, (yyvsp[0].command));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 3007 "y.tab.c"
      break;
  
!   case 113: /* coproc: COPROC WORD shell_command redirection_list  */
! #line 1052 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  COMMAND *tc;
***************
*** 3006,3155 ****
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 3009 "y.tab.c"
      break;
  
!   case 113: /* coproc: COPROC simple_command  */
! #line 1054 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_coproc_command ("COPROC", clean_simple_command ((yyvsp[0].command)));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 3018 "y.tab.c"
      break;
  
!   case 114: /* if_command: IF compound_list THEN compound_list FI  */
! #line 1061 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-3].command), (yyvsp[-1].command), (COMMAND *)NULL); }
! #line 3024 "y.tab.c"
      break;
  
!   case 115: /* if_command: IF compound_list THEN compound_list ELSE compound_list FI  */
! #line 1063 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-5].command), (yyvsp[-3].command), (yyvsp[-1].command)); }
! #line 3030 "y.tab.c"
      break;
  
!   case 116: /* if_command: IF compound_list THEN compound_list elif_clause FI  */
! #line 1065 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-4].command), (yyvsp[-2].command), (yyvsp[-1].command)); }
! #line 3036 "y.tab.c"
      break;
  
!   case 117: /* group_command: '{' compound_list '}'  */
! #line 1070 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_group_command ((yyvsp[-1].command)); }
! #line 3042 "y.tab.c"
      break;
  
!   case 118: /* arith_command: ARITH_CMD  */
! #line 1074 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_arith_command ((yyvsp[0].word_list)); }
! #line 3048 "y.tab.c"
      break;
  
!   case 119: /* cond_command: COND_START COND_CMD COND_END  */
! #line 1078 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[-1].command); }
! #line 3054 "y.tab.c"
      break;
  
!   case 120: /* elif_clause: ELIF compound_list THEN compound_list  */
! #line 1082 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-2].command), (yyvsp[0].command), (COMMAND *)NULL); }
! #line 3060 "y.tab.c"
      break;
  
!   case 121: /* elif_clause: ELIF compound_list THEN compound_list ELSE compound_list  */
! #line 1084 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-4].command), (yyvsp[-2].command), (yyvsp[0].command)); }
! #line 3066 "y.tab.c"
      break;
  
!   case 122: /* elif_clause: ELIF compound_list THEN compound_list elif_clause  */
! #line 1086 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-3].command), (yyvsp[-1].command), (yyvsp[0].command)); }
! #line 3072 "y.tab.c"
      break;
  
!   case 124: /* case_clause: case_clause_sequence pattern_list  */
! #line 1091 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[0].pattern)->next = (yyvsp[-1].pattern); (yyval.pattern) = (yyvsp[0].pattern); }
! #line 3078 "y.tab.c"
      break;
  
!   case 125: /* pattern_list: newline_list pattern ')' compound_list  */
! #line 1095 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (yyvsp[0].command)); }
! #line 3084 "y.tab.c"
      break;
  
!   case 126: /* pattern_list: newline_list pattern ')' newline_list  */
! #line 1097 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (COMMAND *)NULL); }
! #line 3090 "y.tab.c"
      break;
  
!   case 127: /* pattern_list: newline_list '(' pattern ')' compound_list  */
! #line 1099 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (yyvsp[0].command)); }
! #line 3096 "y.tab.c"
      break;
  
!   case 128: /* pattern_list: newline_list '(' pattern ')' newline_list  */
! #line 1101 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (COMMAND *)NULL); }
! #line 3102 "y.tab.c"
      break;
  
!   case 129: /* case_clause_sequence: pattern_list SEMI_SEMI  */
! #line 1105 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3108 "y.tab.c"
      break;
  
!   case 130: /* case_clause_sequence: case_clause_sequence pattern_list SEMI_SEMI  */
! #line 1107 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->next = (yyvsp[-2].pattern); (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3114 "y.tab.c"
      break;
  
!   case 131: /* case_clause_sequence: pattern_list SEMI_AND  */
! #line 1109 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_FALLTHROUGH; (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3120 "y.tab.c"
      break;
  
!   case 132: /* case_clause_sequence: case_clause_sequence pattern_list SEMI_AND  */
! #line 1111 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_FALLTHROUGH; (yyvsp[-1].pattern)->next = (yyvsp[-2].pattern); (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3126 "y.tab.c"
      break;
  
!   case 133: /* case_clause_sequence: pattern_list SEMI_SEMI_AND  */
! #line 1113 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_TESTNEXT; (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3132 "y.tab.c"
      break;
  
!   case 134: /* case_clause_sequence: case_clause_sequence pattern_list SEMI_SEMI_AND  */
! #line 1115 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_TESTNEXT; (yyvsp[-1].pattern)->next = (yyvsp[-2].pattern); (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3138 "y.tab.c"
      break;
  
!   case 135: /* pattern: WORD  */
! #line 1119 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (WORD_LIST *)NULL); }
! #line 3144 "y.tab.c"
      break;
  
!   case 136: /* pattern: pattern '|' WORD  */
! #line 1121 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (yyvsp[-2].word_list)); }
! #line 3150 "y.tab.c"
      break;
  
!   case 137: /* compound_list: newline_list list0  */
! #line 1130 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[0].command);
--- 3025,3174 ----
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 3028 "y.tab.c"
      break;
  
!   case 114: /* coproc: COPROC simple_command  */
! #line 1069 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = make_coproc_command ("COPROC", clean_simple_command ((yyvsp[0].command)));
  			  (yyval.command)->flags |= CMD_WANT_SUBSHELL|CMD_COPROC_SUBSHELL;
  			}
! #line 3037 "y.tab.c"
      break;
  
!   case 115: /* if_command: IF compound_list THEN compound_list FI  */
! #line 1076 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-3].command), (yyvsp[-1].command), (COMMAND *)NULL); }
! #line 3043 "y.tab.c"
      break;
  
!   case 116: /* if_command: IF compound_list THEN compound_list ELSE compound_list FI  */
! #line 1078 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-5].command), (yyvsp[-3].command), (yyvsp[-1].command)); }
! #line 3049 "y.tab.c"
      break;
  
!   case 117: /* if_command: IF compound_list THEN compound_list elif_clause FI  */
! #line 1080 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-4].command), (yyvsp[-2].command), (yyvsp[-1].command)); }
! #line 3055 "y.tab.c"
      break;
  
!   case 118: /* group_command: '{' compound_list '}'  */
! #line 1085 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_group_command ((yyvsp[-1].command)); }
! #line 3061 "y.tab.c"
      break;
  
!   case 119: /* arith_command: ARITH_CMD  */
! #line 1089 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_arith_command ((yyvsp[0].word_list)); }
! #line 3067 "y.tab.c"
      break;
  
!   case 120: /* cond_command: COND_START COND_CMD COND_END  */
! #line 1093 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = (yyvsp[-1].command); }
! #line 3073 "y.tab.c"
      break;
  
!   case 121: /* elif_clause: ELIF compound_list THEN compound_list  */
! #line 1097 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-2].command), (yyvsp[0].command), (COMMAND *)NULL); }
! #line 3079 "y.tab.c"
      break;
  
!   case 122: /* elif_clause: ELIF compound_list THEN compound_list ELSE compound_list  */
! #line 1099 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-4].command), (yyvsp[-2].command), (yyvsp[0].command)); }
! #line 3085 "y.tab.c"
      break;
  
!   case 123: /* elif_clause: ELIF compound_list THEN compound_list elif_clause  */
! #line 1101 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.command) = make_if_command ((yyvsp[-3].command), (yyvsp[-1].command), (yyvsp[0].command)); }
! #line 3091 "y.tab.c"
      break;
  
!   case 125: /* case_clause: case_clause_sequence pattern_list  */
! #line 1106 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[0].pattern)->next = (yyvsp[-1].pattern); (yyval.pattern) = (yyvsp[0].pattern); }
! #line 3097 "y.tab.c"
      break;
  
!   case 126: /* pattern_list: newline_list pattern ')' compound_list  */
! #line 1110 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (yyvsp[0].command)); }
! #line 3103 "y.tab.c"
      break;
  
!   case 127: /* pattern_list: newline_list pattern ')' newline_list  */
! #line 1112 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (COMMAND *)NULL); }
! #line 3109 "y.tab.c"
      break;
  
!   case 128: /* pattern_list: newline_list '(' pattern ')' compound_list  */
! #line 1114 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (yyvsp[0].command)); }
! #line 3115 "y.tab.c"
      break;
  
!   case 129: /* pattern_list: newline_list '(' pattern ')' newline_list  */
! #line 1116 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = make_pattern_list ((yyvsp[-2].word_list), (COMMAND *)NULL); }
! #line 3121 "y.tab.c"
      break;
  
!   case 130: /* case_clause_sequence: pattern_list SEMI_SEMI  */
! #line 1120 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3127 "y.tab.c"
      break;
  
!   case 131: /* case_clause_sequence: case_clause_sequence pattern_list SEMI_SEMI  */
! #line 1122 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->next = (yyvsp[-2].pattern); (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3133 "y.tab.c"
      break;
  
!   case 132: /* case_clause_sequence: pattern_list SEMI_AND  */
! #line 1124 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_FALLTHROUGH; (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3139 "y.tab.c"
      break;
  
!   case 133: /* case_clause_sequence: case_clause_sequence pattern_list SEMI_AND  */
! #line 1126 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_FALLTHROUGH; (yyvsp[-1].pattern)->next = (yyvsp[-2].pattern); (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3145 "y.tab.c"
      break;
  
!   case 134: /* case_clause_sequence: pattern_list SEMI_SEMI_AND  */
! #line 1128 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_TESTNEXT; (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3151 "y.tab.c"
      break;
  
!   case 135: /* case_clause_sequence: case_clause_sequence pattern_list SEMI_SEMI_AND  */
! #line 1130 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyvsp[-1].pattern)->flags |= CASEPAT_TESTNEXT; (yyvsp[-1].pattern)->next = (yyvsp[-2].pattern); (yyval.pattern) = (yyvsp[-1].pattern); }
! #line 3157 "y.tab.c"
      break;
  
!   case 136: /* pattern: WORD  */
! #line 1134 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (WORD_LIST *)NULL); }
! #line 3163 "y.tab.c"
      break;
  
!   case 137: /* pattern: pattern '|' WORD  */
! #line 1136 "/usr/local/src/chet/src/bash/src/parse.y"
                          { (yyval.word_list) = make_word_list ((yyvsp[0].word), (yyvsp[-2].word_list)); }
! #line 3169 "y.tab.c"
      break;
  
!   case 138: /* compound_list: newline_list list0  */
! #line 1145 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[0].command);
***************
*** 3157,3173 ****
  			    gather_here_documents ();
  			 }
! #line 3160 "y.tab.c"
      break;
  
!   case 138: /* compound_list: newline_list list1  */
! #line 1136 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[0].command);
  			}
! #line 3168 "y.tab.c"
      break;
  
!   case 140: /* list0: list1 '&' newline_list  */
! #line 1143 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-2].command)->type == cm_connection)
--- 3176,3192 ----
  			    gather_here_documents ();
  			 }
! #line 3179 "y.tab.c"
      break;
  
!   case 139: /* compound_list: newline_list list1  */
! #line 1151 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  (yyval.command) = (yyvsp[0].command);
  			}
! #line 3187 "y.tab.c"
      break;
  
!   case 141: /* list0: list1 '&' newline_list  */
! #line 1158 "/usr/local/src/chet/src/bash/src/parse.y"
                          {
  			  if ((yyvsp[-2].command)->type == cm_connection)
